dnl @synopsis PETI_PEDANTIC_GCC
dnl
dnl For development purposes, it is desirable to have autoconf
dnl automatically enable warnings when compiling C or C++ sources. In
dnl case the underlying compiler is a gcc, the appropriate flags are
dnl "-Wall -pedantic". This macro will add them to $CFLAGS and
dnl $CXXFLAGS if $CC is found to be a gcc.
dnl
dnl @author Peter Simons <simons@computer.org>
dnl @version $Id: peti_pedantic_gcc.m4,v 1.1.1.1 2001/07/26 00:46:29 guidod Exp $

AC_DEFUN([PETI_PEDANTIC_GCC],
    [
    if test "$GCC" = yes; then
        CFLAGS="$CFLAGS -Wall -pedantic"
        CXXFLAGS="$CXXFLAGS -Wall -pedantic"
        fi
    ])
